---
schema_version: "1"
id: 8381a53f9d039337b22284e41676432a3e0d4bbb775010a1cf3102d0a1d937de
title: Chatter Connect REST API
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/connect-rest/connect-rest-api/references/generated-api-specs/connect-rest-api-chatter.md
canonical_url: https://developer.salesforce.com/docs/platform/connect-rest-api/references/connect-rest-api-chatter
source_site: developer.salesforce.com
content_type: documentation
content_hash: 9003b449c7c76199db9d182e392892f797418ebd6416161b9b6b22907b0ea78e
products:
  - Connect REST API Developer Guide
  - Connect REST APIs
---
Chatter Connect REST API

# Chatter Connect REST API

> **Note**: The API Reference has a new three-panel layout. Browse grouped endpoints on the left, review endpoint details in the center, and access examples on the right.

These REST API resources require Chatter and have a per user, per application, per hour rate limit. This rate limit is different from other Connect REST API resources. When you exceed the rate limit, Chatter REST API resources return a 503 Service Unavailable error code.

**Important**: Where possible, we changed noninclusive terms to align with our company value of Equality. We maintained certain terms to avoid any effect on customer implementations.

**Version:** v68.0

## Servers

*   `https://{MyDomainName}.my.salesforce.com/services/data/v68.0` API server for your Salesforce org.
    *   ``MyDomainName (default None) Your org's My Domain name, which is used as a subdomain for the URLs that Salesforce uses to serve your org. For example, if your Lightning URL is `https://yourcompanyname.lightning.force.com`, then your My Domain name is `yourcompanyname`. Find your My Domain name and login URL on the My Domain page in Setup, or use the `getMyDomainName()` method in the Apex Domain class.``

## Tags

### Announcements Resources

Get the announcements for the specified parent or create an announcement. Also get information about, update, or delete an announcement.

Use an announcement to highlight information. Users can discuss, like, and post comments on announcements. Deleting the feed post deletes the announcement. Creating an announcement also creates a feed item with the announcement text.

An announcement displays in a designated location in the Salesforce UI until 11:59 p.m. on its expiration date, unless it’s deleted or replaced by another announcement.

### Chatter Resources

Get a directory of Chatter feeds, groups, and users resources. Control when Chatter email digests are sent. Get a list of supported emojis. Get extensions. Get link metadata. Get information about, update, and delete Chatter streams.

### Custom Recommendation Audience Resources

Target specific audiences for your custom recommendations. Use these resources to get information about, create, update, and delete recommendation audiences.

Community managers can access, create, and delete audiences, definitions, and schedules for custom recommendations. (Community managers are users with the Create and Set Up Experiences or Manage Experiences permission.) Users with the Modify All Data permission can also access, create, and delete custom recommendation audiences, custom recommendation definitions, and scheduled custom recommendations.

These recommendations appear by default on the Customer Service template. They appear on the home and question detail pages and in the feed in Salesforce mobile web. They also appear anywhere community managers add recommendations using Experience Builder in the Customer Service template.

So that users don’t see the same recommendations all the time, Salesforce periodically removes and brings back custom recommendations that haven’t been accepted or dismissed.

### Custom Recommendation Definition Resources

Recommendation definitions allow you to create custom recommendations that appear in Experience Cloud sites, encouraging users to watch videos, take training and more. Use these resources to get information about, create, modify, and delete recommendation definitions. Also get information about, upload, modify, and delete recommendation definition photos.

Community managers can access, create, and delete audiences, definitions, and schedules for custom recommendations. (Community managers are users with the Create and Set Up Experiences or Manage Experiences permission.) Users with the Modify All Data permission can also access, create, and delete custom recommendation audiences, custom recommendation definitions, and scheduled custom recommendations.

These recommendations appear by default on the Customer Service template. They appear on the home and question detail pages and in the feed in Salesforce mobile web. They also appear anywhere community managers add recommendations using Experience Builder in the Customer Service template.

So that users don’t see the same recommendations all the time, Salesforce periodically removes and brings back custom recommendations that haven’t been accepted or dismissed.

### Followers on Records Resources

Get information about the followers of the specified record.

### Groups Resources

Information about groups, such as the group's members, photo, and the groups in the organization. Create and delete a group, add members to a group, and change the group photo.

The groups resource is not a feed. To view the feed for a group, use the [Record Feed URL](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Record-Feed-Resources/operation/get_connect_resource_feeds_record__cc_record_feed_url) resource with a group ID for `{recordId}`.

### Influence Resources

List of the percentile thresholds used to categorize an organization’s users by their influence in Chatter.

Users are ranked based on the number of posts and comments made, and comments and likes received. The percentile associated with a category represents the bottom threshold for that influencer category. For example: `0.25` defines the cutoff for the `Active Influencer` category, which means it includes users with an influence rank equal to or greater than the 25th percentile (25%) and less than the next highest category threshold.

### Likes Resources

Information about the specified like. Also used to delete a like.

### Mentions Resources

Get a list of proposed mentions that a user can choose from. Get information about whether the specified mentions are valid for the context user.

### Missions Resources

Update a user’s mission activity count. Export and purge mission activity for a user. Purge mission activity for all users. Get a user’s mission progress.

### Question and Answers Suggestions Resources

Get question and answers suggestions.

### Scheduled Custom Recommendations Resources

Get information about, create, update, or delete scheduled custom recommendations.

Community managers can access, create, and delete audiences, definitions, and schedules for custom recommendations. (Community managers are users with the Create and Set Up Experiences or Manage Experiences permission.) Users with the Modify All Data permission can also access, create, and delete custom recommendation audiences, custom recommendation definitions, and scheduled custom recommendations.

### Subscriptions Notifications Member Resources

Get information about the frequency with which a user receives subscription notifications. Subscribe or unsubscribe a user from receiving notifications.

When users opt to receive notifications for the topics they follow, they get an email when the topic is added to a post that they have access to. When users opt to receive notifications for their streams, they get an email on every post in the stream.

### Subscriptions Resources

Information about the specified subscription. Also used to delete a subscription, for example, to unfollow a record or a topic.

A subscription ID is returned as part of the response body for `follower` and `following` resources, for example, `/records/{recordId}/followers`. In addition, subscriptions IDs are also returned in many summary response bodies, such as group summary or user summary.

### Topics Resources

Get endorsements for a topic and endorse someone for a topic. Get the groups recently contributing to a topic. Get knowledgeable people for a topic. Opt out of being knowledgeable about a topic and opt back in.

### User Profiles Resources

The user profile data populates the profile page (also called the Chatter profile page). This data includes user information (such as address, manager, and phone number), some user capabilities (permissions), and a set of subtab apps, which are custom tabs on the profile page.

### Users Resources

Get information about the user, such as who is following the user and the user's recommendations. Post feed items and update conversation status.

## Operations

### GET Chatter Directory

`GET /chatter`

Operation ID: `getChatterRootDirectory`. Tags: Chatter Resources.

Describes the URLs to the sub-resources available under /chatter.

Get a directory of Chatter feeds, groups, and users resources.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter`

_Available in: v23.0_

#### Responses

*   **200** _Chatter Directory_ Chatter directory.
    
    Media type: `application/json`. Schema: `ChatterDirectory`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
{
   "feeds": "/services/data/v67.0/chatter/feeds",
   "groups": "/services/data/v67.0/chatter/groups",
   "users": "/services/data/v67.0/chatter/users"
}
```

### GET Announcements

`GET /chatter/announcements`

Operation ID: `getAnnouncementCollection`. Tags: Announcements Resources.

Returns a list of announcements for the specified parent.

Get the announcements for the specified parent.

_Available in: v36.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/announcements`

_Available in: v36.0_

#### Parameters

*   `page` (query, integer)
    
    Number of the page you want returned. Starts at 0. If you pass in `null` or 0, the first page is returned.
    
    _Available in: v36.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of announcements per page.
    
    _Available in: v36.0_
    
*   `parentId` (query, string, required)
    
    ID of the parent entity for the announcement, that is, a group ID when the announcement appears in a group.
    
    _Available in: v36.0_
    

#### Responses

*   **200** _Announcement Page_ A paginated collection of Announcement response bodies.
    
    Media type: `application/json`. Schema: `AnnouncementCollection`.
    

### POST Announcements

`POST /chatter/announcements`

Operation ID: `postAnnouncementCollection`. Tags: Announcements Resources.

Returns a list of announcements for the specified parent.

Create an announcement. Creating an announcement also creates a feed item with the announcement text.

_Available in: v36.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/announcements`

_Available in: v36.0_

Returns the same response body as the [GET /chatter/announcements/{announcementId}](/docs/platform/connect-rest-api/references/connect-rest-api-chatter#tag/Announcements-Resources/operation/getAnnouncement) operation. See that operation for the full response schema.

#### Request body

Media type: `application/json`. Schema: `AnnouncementInput`.

_Example: example\_1_ Payload 1

Creating an announcement

```
{
  "body": {
    "messageSegments": [
      {
        "text": "Please install the updates for all iOS devices.",
        "type": "Text"
      }
    ]
  },
  "parentId": "0F9B0000000004S",
  "expirationDate": "2016-02-22T00:00:00.000Z"
}
```

_Example: example\_2_ Payload 2

Creating an announcement using an existing feed item

```
{
  "feedItemId": "0D5D0000000DaZBKA0",
  "expirationDate": "2016-02-22T00:00:00.000Z"
}
```

#### Responses

*   **200** _Announcement_ An announcement.
    
    Media type: `application/json`. Schema: `object`.
    
    Returns the same response body as the [GET /chatter/announcements/{announcementId}](/docs/platform/connect-rest-api/references/connect-rest-api-chatter#tag/Announcements-Resources/operation/getAnnouncement) operation. See that operation for the full response schema.
    

### GET Announcement

`GET /chatter/announcements/{announcementId}`

Operation ID: `getAnnouncement`. Tags: Announcements Resources.

Access information about an announcement in a group.

Get information about an announcement.

_Available in: v31.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/announcements/{announcementId}`

_Available in: v31.0_

#### Parameters

*   `announcementId` (path, string (Id), required) ID of the announcement.  
    Pattern: ^(0Bt)\\w\*.

#### Responses

*   **200** _Announcement_ An announcement.
    
    Media type: `application/json`. Schema: `Announcement`.
    

### DELETE Announcement

`DELETE /chatter/announcements/{announcementId}`

Operation ID: `deleteAnnouncement`. Tags: Announcements Resources.

Access information about an announcement in a group.

Delete an announcement.

_Available in: v31.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/announcements/{announcementId}`

_Available in: v31.0_

#### Parameters

*   `announcementId` (path, string (Id), required) ID of the announcement.  
    Pattern: ^(0Bt)\\w\*.

#### Responses

*   **204** _Successful Delete_ Success

### PATCH Announcement

`PATCH /chatter/announcements/{announcementId}`

Operation ID: `patchAnnouncement`. Tags: Announcements Resources.

Access information about an announcement in a group.

Update an announcement.

_Available in: v31.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/announcements/{announcementId}`

_Available in: v31.0_

Returns the same response body as the [GET /chatter/announcements/{announcementId}](/docs/platform/connect-rest-api/references/connect-rest-api-chatter#tag/Announcements-Resources/operation/getAnnouncement) operation. See that operation for the full response schema.

#### Parameters

*   `announcementId` (path, string (Id), required) ID of the announcement.  
    Pattern: ^(0Bt)\\w\*.
*   `expirationDate` (query, string, required)
    
    Date time in ISO 8601 format. The Salesforce UI displays an announcement until 11:59 p.m. on this date unless another announcement is posted first. The Salesforce UI ignores the time value in the `expirationDate`. However, you can use the time value to create your own display logic in your own UI.
    
    _Available in: v31.0_
    

#### Request body (required)

_Available in: v31.0_

Media type: `application/json`. Schema: `AnnouncementInput`.

_Example: example\_1_ Payload 1

Updating an announcement

```
{
  "expirationDate": "2016-02-22T00:00:00.000Z",
  "isArchived": "false"
}
```

#### Responses

*   **200** _Announcement_ An announcement.
    
    Media type: `application/json`. Schema: `object`.
    
    Returns the same response body as the [GET /chatter/announcements/{announcementId}](/docs/platform/connect-rest-api/references/connect-rest-api-chatter#tag/Announcements-Resources/operation/getAnnouncement) operation. See that operation for the full response schema.
    

### POST Chatter Digests

`POST /chatter/digests`

Operation ID: `submitDigestJob`. Tags: Chatter Resources.

Some orgs need more control over when digest emails are sent. To give them this control, the ChatterDigestEmailsApiOnly pref needs to be enabled, which will turn off the normal digest scheduling and allow the admin to trigger the digest processes on demand.

Control when daily and weekly Chatter email digests are sent.

The times when Chatter sends email digests are not configurable in the UI. To control when email digests are sent and to use this resource, contact Salesforce to enable API-only Chatter Digests.

**Caution**: Enabling API-only Chatter Digests disables the scheduled digests for your org. You must call the API for your users to receive their digests.

_Available in: v37.0_

#### Parameters

*   `period` (query, DigestPeriod, required)
    
    Time period that’s included in a Chatter email digest. Values are:
    
    *   `DailyDigest` — The email includes up to the 50 latest posts from the previous day.
    *   `WeeklyDigest` — The email includes up to the 50 latest posts from the previous week.
    
    _Available in: v37.0_
    

#### Request body (required)

Submit a daily or weekly Chatter email digest job.

_Available in: v37.0_

Media type: `application/json`. Schema: `DigestJobInput`.

_Example: example\_1_ Payload 1

```
{
  "period": "DailyDigest"
}
```

#### Responses

*   **200** _Digest Job_ Represents a successfully enqueued API digest job request.
    
    Media type: `application/json`. Schema: `DigestJob`.
    

### GET Emojis

`GET /chatter/emojis`

Operation ID: `getSupportedEmojis`. Tags: Chatter Resources.

A list of emojis that will be used to dictate which emojis are allowed in the org. The list will also be used to populate the emoji selector displayed in the UI. The 'emojiEnabled' perm must be turned on for users to retrieve the list, or see the selector.

Get a list of emojis that are supported in the org.

To get the list, emojis must be enabled in your org.

_Available in: v39.0_

#### Responses

*   **200** _Supported Emoji_ Success
    
    Media type: `application/json`. Schema: `SupportedEmojisOutput`.
    

### GET Chatter Extensions

`GET /chatter/extensions`

Operation ID: `getExtensionCollection`. Tags: Chatter Resources.

Chatter Extension resource.

Get extensions.

_Available in: v40.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/extensions`

_Available in: v40.0_

#### Parameters

*   `page` (query, string)
    
    Specifies the page token to use to view a page of information. Page tokens are returned as part of the response class, such as `currentPageToken` or `nextPageToken`. If you pass in `null`, the first page is returned.
    
    _Available in: v40.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 100. The default size is 15.
    
    _Available in: v40.0_
    

#### Responses

*   **200** _Extension Definition Collection_ Success
    
    Media type: `application/json`. Schema: `ExtensionDefinitionCollection`.
    

### GET Group Membership Requests—Private

`GET /chatter/group-membership-requests/{requestId}`

Operation ID: `getGroupMembershipRequest`. Tags: Groups Resources.

Update the status of a request by a user to join a private group or get information about a request to join a private group.

Get information about a request to join a private group.

_Available in: v27.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/group-membership-requests/{requestId}`

_Available in: v27.0_

#### Parameters

*   `requestId` (path, string (Id), required) Get the `{requestId}` by making a POST request to `/chatter/groups/{groupId}/members/requests`.  
    Pattern: ^(0I5)\\w\*.

#### Responses

*   **200** _Group Membership Request_ Success
    
    Media type: `application/json`. Schema: `GroupMembershipRequest`.
    

#### Code samples

_Example: Example 2 · HTTP_

```
# This example updates a request to join a private group from `Pending` to
# `Accepted`.

/services/data/v67.0/chatter/group-membership-requests/0I5D000000002fwKAA?status=Accepted
```

### PATCH Group Membership Requests—Private

`PATCH /chatter/group-membership-requests/{requestId}`

Operation ID: `patchGroupMembershipRequest`. Tags: Groups Resources.

Update the status of a request by a user to join a private group or get information about a request to join a private group.

Update the status of a request by a user to join a private group.

_Available in: v27.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/group-membership-requests/{requestId}`

_Available in: v27.0_

#### Parameters

*   `requestId` (path, string (Id), required) Get the `{requestId}` by making a POST request to `/chatter/groups/{groupId}/members/requests`.  
    Pattern: ^(0I5)\\w\*.
*   `responseMessage` (query, string)
    
    Use this property to provide a message to the user if their membership request is declined. The value of this property is used only when the value of the `status` property is `Declined`.
    
    The maximum length is 756 characters.
    
    _Available in: v27.0_
    
*   `status` (query, ConnectGroupMembershipRequestStatus)
    
    Status of the membership request.
    
    _Available in: v27.0_
    

#### Request body

Media type: `application/json`. Schema: `UpdateGroupMembershipRequestInput`.

#### Responses

*   **200** _Group Membership Request_ Success
    
    Media type: `application/json`. Schema: `GroupMembershipRequest`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
{ "status " : "Accepted" }
```

### GET Batch Group Memberships

`GET /chatter/group-memberships/batch/{membershipIds}`

Operation ID: `getGroupMembershipBatch`. Tags: Groups Resources.

Access information about a list of group members. The members don’t have to belong to the same group. Each membership ID is associated with a specific group. Membership IDs are returned in the response bodies of several groups resources.

Access information about a list of group members. The members don’t have to belong to the same group. Each membership ID is associated with a specific group.

_Available in: v27.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/group-memberships/batch/{membershipIds}`

_Available in: v27.0_

#### Parameters

*   `membershipIds` (path, array of string (Id), required) Where `{membershipIds}` is a comma-separated list of up to 500 membership IDs.

#### Responses

*   **200** _Batch Results_ Batch results.
    
    Media type: `application/json`. Schema: `Batch`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
# This request gets the group membership information for two users:

/chatter/group-memberships/batch/0FBD00000003GAPOA2,0FBD00000003GAKOA
```

_Example: Example 2 · HTTP_

```
# This is the Batch Results response body, which contains nested User Summary
# response bodies:
#
# Note that the second group membership wasn’t found. Batch requests return a
# status code for each subrequest.

{
  "hasErrors": true,
  "results": [
    {
      "result": {
        "id": "0FBD00000003GAPOA2",
        "role": "StandardMember",
        "url": "/services/data/v67.0/chatter/group-memberships/0FBD00000003GAPOA2",
        "user": {
          "companyName": "Universal Containers",
          "firstName": "Gordon",
          "id": "005D0000001LLO1IAO",
          "isActive": true,
          "isInThisCommunity": true,
          "lastName": "Johnson",
          "motif": {
            "color": "1797C0",
            "largeIconUrl": "/img/icon/profile64.png",
            "mediumIconUrl": "/img/icon/profile32.png",
            "smallIconUrl": "/img/icon/profile16.png"
          },
          "mySubscription": {
            "id": "0E8D0000000T5ZUKA0",
            "url": "/services/data/v67.0/chatter/subscriptions/0E8D0000000T5ZUKA0"
          },
          "name": "Gordon Johnson",
          "photo": {
            "fullEmailPhotoUrl": "https://instance_name/ncsphoto/SqRfG_-PUTY6KtfOp_f0cPhKrC7plNhUw5eOz7Aj1u-oFL0K-ff2oe04ZAmT2MqC",
            "largePhotoUrl": "https:/instance_name/profilephoto/729D00000000LJL/F",
            "photoVersionId": "729D00000000LJLIA2",
            "smallPhotoUrl": "https://instance_name/profilephoto/729D00000000LJL/T",
            "standardEmailPhotoUrl": "https://instance_name/ncsphoto/SqRfG_-PUTY6KtfOp_f0cPhKrC7plNhUw5eOz7Aj1u-6d5rE2mNaMaBZfGnFX65O",
            "url": "/services/data/v67.0/chatter/users/005D0000001LLO1IAO/photo"
          },
          "title": "VP Sales",
          "type": "User",
          "url": "/services/data/v67.0/chatter/users/005D0000001LLO1IAO",
          "userType": "Internal"
        }
      },
      "statusCode": 200
    },
    {
      "result": [
        {
          "errorCode": "NOT_FOUND",
          "message": "The requested resource does not exist"
        }
      ],
      "statusCode": 404
    }
  ]
}
```

### GET Group Memberships Information

`GET /chatter/group-memberships/{membershipId}`

Operation ID: `getGroupMembership`. Tags: Groups Resources.

Access information about a member of a group, or remove a member from a group.

Get information about a member of a group.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/group-memberships/{membershipId}`

_Available in: v23.0_

#### Parameters

*   `membershipId` (path, string (Id), required) Membership IDs are returned from the `/chatter/groups/groupId/memberships` resource.  
    Pattern: ^(0FB)\\w\*.

#### Responses

*   **200** _Group Member_ Chatter group member.
    
    Media type: `application/json`. Schema: `GroupMember`.
    

### DELETE Group Memberships Information

`DELETE /chatter/group-memberships/{membershipId}`

Operation ID: `deleteGroupMembership`. Tags: Groups Resources.

Access information about a member of a group, or remove a member from a group.

Remove a member from a group.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/group-memberships/{membershipId}`

_Available in: v23.0_

#### Parameters

*   `membershipId` (path, string (Id), required) Membership IDs are returned from the `/chatter/groups/groupId/memberships` resource.  
    Pattern: ^(0FB)\\w\*.

#### Responses

*   **204** _Successful Delete_ Success

### PATCH Group Memberships Information

`PATCH /chatter/group-memberships/{membershipId}`

Operation ID: `patchGroupMembership`. Tags: Groups Resources.

Access information about a member of a group, or remove a member from a group.

Update a group member’s role.

**Note**: PATCH is supported in version 29.0.

**Note**: To update a group member’s role in a PATCH request, pass only the `role` property, don’t pass the `userId` property.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/group-memberships/{membershipId}`

_Available in: v23.0_

#### Parameters

*   `membershipId` (path, string (Id), required) Membership IDs are returned from the `/chatter/groups/groupId/memberships` resource.  
    Pattern: ^(0FB)\\w\*.
*   `role` (query, ConnectGroupMembershipEnum)
    
    The role of the member.
    
    _Available in: v29.0_
    

#### Request body

_Available in: v29.0_

Media type: `application/json`. Schema: `GroupMemberInput`.

_Example: example\_1_ Payload 1

```
{
  "role": "GroupManager",
  "userId": "005B0000000Ge16"
}
```

#### Responses

*   **200** _Group Member_ Chatter group member.
    
    Media type: `application/json`. Schema: `GroupMember`.
    

### GET Group Record

`GET /chatter/group-records/{groupRecordId}`

Operation ID: `getGroupRecord`. Tags: Groups Resources.

Get or delete a record associated with a group.

Get information about a group record.

_Available in: v34.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/group-records/{groupRecordId}`

_Available in: v34.0_

#### Parameters

*   `groupRecordId` (path, string (Id), required) ID of the group record.  
    Pattern: ^(0Aa)\\w\*.

#### Responses

*   **200** _Group Record_ A record associated with a group.
    
    Media type: `application/json`. Schema: `GroupRecord`.
    

### DELETE Group Record

`DELETE /chatter/group-records/{groupRecordId}`

Operation ID: `deleteGroupRecord`. Tags: Groups Resources.

Get or delete a record associated with a group.

Remove the association between a record and a group.

_Available in: v34.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/group-records/{groupRecordId}`

_Available in: v34.0_

#### Parameters

*   `groupRecordId` (path, string (Id), required) ID of the group record.  
    Pattern: ^(0Aa)\\w\*.

#### Responses

*   **204** _Successful Delete_ Success

### GET List of Groups

`GET /chatter/groups`

Operation ID: `getGroupDetailCollection`. Tags: Groups Resources.

Returns a list of groups in the organization.

A list of all the groups in the organization. Get information about groups.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/groups`

_Available in: v23.0_

#### Parameters

*   `archiveStatus` (query, ConnectGroupArchiveStatusEnum)
    
    Returns the list of groups filtered by the archive status you specify:
    
    *   `All` — All groups, including groups that are archived and groups that aren’t archived.
    *   `Archived` — Groups that are archived.
    *   `NotArchived` — Groups that aren’t archived.
    
    The default value is `NotArchived`.
    
    _Available in: v29.0_
    
*   `page` (query, integer)
    
    An integer specifying a page of items. The default value is 0, which returns the first page.
    
    _Available in: v23.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 250. The default value is 25.
    
    _Available in: v23.0_
    
*   `q` (query, string)
    
    Specifies the string to search. For more information about wildcards, see [Wildcards](/docs/platform/connect-rest-api/guide/intro_wildcards).
    
    _Available in: v23.0_
    

#### Responses

*   **200** _Group Page_ Success
    
    Media type: `application/json`. Schema: `GroupPage`.
    

#### Code samples

_Example: Example 2 · HTTP_

```
/services/data/v67.0/chatter/groups?name=Chatter+API&visibility=PublicAccess
```

### POST List of Groups

`POST /chatter/groups`

Operation ID: `postGroupDetailCollection`. Tags: Groups Resources.

Returns a list of groups in the organization.

Create a group.

_Available in: v29.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/groups`

_Available in: v29.0_

Returns the same response body as the [GET /chatter/groups/{groupId}](/docs/platform/connect-rest-api/references/connect-rest-api-chatter#tag/Groups-Resources/operation/getGroupDetail) operation. See that operation for the full response schema.

#### Parameters

*   `canHaveChatterGuests` (query, boolean)
    
    `true` if this group allows Chatter customers, `false` otherwise. After this property is set to `true`, it cannot be set to `false`.
    
    _Available in: v29.0_
    
*   `description` (query, string)
    
    The “Description” section of the group
    
    _Available in: v29.0_
    
*   `informationText` (query, string)
    
    The text in the “Information” section of the group
    
    _Available in: v29.0_
    
*   `informationTitle` (query, string)
    
    The title of the “Information” section of the group
    
    _Available in: v29.0_
    
*   `name` (query, string, required)
    
    The name of the group
    
    _Available in: v29.0_
    
*   `visibility` (query, ConnectGroupVisibilityEnum, required)
    
    Group visibility type. One of the following:
    
    *   `PrivateAccess` — Only members of the group can see posts to this group.
    *   `PublicAccess` — All users within the Experience Cloud site can see posts to this group.
    *   `Unlisted` — Reserved for future use.
    
    _Available in: v29.0_
    

#### Request body

Media type: `application/json`. Schema: `GroupInput`.

#### Responses

*   **200** _Group Detail_ Chatter group detail.
    
    Media type: `application/json`. Schema: `object`.
    
    Returns the same response body as the [GET /chatter/groups/{groupId}](/docs/platform/connect-rest-api/references/connect-rest-api-chatter#tag/Groups-Resources/operation/getGroupDetail) operation. See that operation for the full response schema.
    

#### Code samples

_Example: Example 2 · HTTP_

```
{
   "announcement" : "0D5D0000000K4XT",
   "canHaveChatterGuests" : "true",
   "description" : "This group is building a powerful API.",
   "information" : {
      "text" : "Read this section before you post to the group.",
      "title" : "Information"
   },
   "isArchived" : "false",
   "isAutoArchiveDisabled" : "false",
   "name" : "Chatter API",
   "owner" : "00590000000DmPw",
   "visibility" : "PublicAccess"
}
```

### GET Batch Group Information

`GET /chatter/groups/batch/{group_list}`

Operation ID: `getGroupBatch`. Tags: Groups Resources.

Returns information about more than one group at the same time.

Get information about more than one group at the same time.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/groups/batch/{group_list}`

_Available in: v23.0_

#### Parameters

*   `group_list` (path, string, required) Where `{group_list}` is a comma-separated list of up to 500 group IDs.

#### Responses

*   **200** _Batch Results_ Batch results.
    
    Media type: `application/json`. Schema: `Batch`.
    

### POST Group Invites

`POST /chatter/groups/group/{groupId}/invite`

Operation ID: `postGroupViralInvitations`. Tags: Groups Resources.

Use this resource to send viral invitation to internal and external users.

Invite internal and external users to join a group.

_Available in: v39.0_

#### Parameters

*   `groupId` (path, string (Id), required) ID of the group.  
    Pattern: ^(0F9)\\w\*.

#### Request body

Media type: `application/json`. Schema: `InviteCollectionInput`.

_Example: example\_1_ Payload 1

```
{
  "invitees": {
    "emails": [
      "emailaddress1@internaldomain.com",
      "emailaddress2@externaldomain.com"
    ]
  },
  "message": "Join this group to participate in the discussion about your favorite feature."
}
```

#### Responses

*   **200** _Invite Collection_ A collection of invitations.
    
    Media type: `application/json`. Schema: `InviteCollection`.
    

### GET Group Announcements

`GET /chatter/groups/{groupId}/announcements`

Operation ID: `getGroupAnnouncementCollection`. Tags: Groups Resources.

Returns a list of announcements for the specified group.

Get information about the announcements posted to the specified group.

Use an announcement to highlight information. Users can discuss, like, and post comments on announcements. Deleting the feed post deletes the announcement.

To get information about, update, or delete an announcement, use the [Announcements Resources](/docs/platform/connect-rest-api/references/connect-rest-api-chatter#tag/Announcements-Resources).

_Available in: v31.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/groups/{groupId}/announcements`

_Available in: v31.0_

Returns the same response body as the [GET /chatter/announcements](/docs/platform/connect-rest-api/references/connect-rest-api-chatter#tag/Announcements-Resources/operation/getAnnouncementCollection) operation. See that operation for the full response schema.

#### Parameters

*   `page` (query, integer)
    
    An integer specifying a page of items. The default value is 0, which returns the first page.
    
    _Available in: v31.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 100. If you don't specify a size, the default is 25.
    
    _Available in: v31.0_
    
*   `groupId` (path, string (Id), required) ID of the group.

#### Responses

*   **200** _Announcement Page_ A paginated collection of Announcement response bodies.
    
    Media type: `application/json`. Schema: `object`.
    
    Returns the same response body as the [GET /chatter/announcements](/docs/platform/connect-rest-api/references/connect-rest-api-chatter#tag/Announcements-Resources/operation/getAnnouncementCollection) operation. See that operation for the full response schema.
    

### POST Group Announcements

`POST /chatter/groups/{groupId}/announcements`

Operation ID: `postGroupAnnouncementCollection`. Tags: Groups Resources.

Returns a list of announcements for the specified group.

Post an announcement to a group.

Use an announcement to highlight information. Users can discuss, like, and post comments on announcements. Deleting the feed post deletes the announcement.

To get information about, update, or delete an announcement, use the [Announcements Resources](/docs/platform/connect-rest-api/references/connect-rest-api-chatter#tag/Announcements-Resources).

_Available in: v31.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/groups/{groupId}/announcements`

_Available in: v31.0_

Returns the same response body as the [GET /chatter/announcements/{announcementId}](/docs/platform/connect-rest-api/references/connect-rest-api-chatter#tag/Announcements-Resources/operation/getAnnouncement) operation. See that operation for the full response schema.

#### Parameters

*   `expirationDate` (query, string)
    
    Date time in ISO 8601 format. The Salesforce UI displays an announcement until 11:59 p.m. on this date unless another announcement is posted first. The Salesforce UI ignores the time value in the `expirationDate`. However, you can use the time value to create your own display logic in your own UI.
    
    Required for creating an announcement. Optional for updating an announcement
    
    _Available in: v31.0_
    
*   `groupId` (path, string (Id), required) ID of the group.

#### Request body

Media type: `application/json`. Schema: `AnnouncementInput`.

_Example example\_1: same as POST /chatter/announcements request._ Payload 1

Creating an announcement

_Example: example\_1_ Payload 1

Creating an announcement

_Example: example\_2_ Payload 2

Creating an announcement using an existing feed item

```
{
  "feedItemId": "0D5D0000000DaZBKA0",
  "expirationDate": "2016-02-22T00:00:00.000Z"
}
```

#### Responses

*   **200** _Announcement_ An announcement.
    
    Media type: `application/json`. Schema: `object`.
    
    Returns the same response body as the [GET /chatter/announcements/{announcementId}](/docs/platform/connect-rest-api/references/connect-rest-api-chatter#tag/Announcements-Resources/operation/getAnnouncement) operation. See that operation for the full response schema.
    

### GET Group Files

`GET /chatter/groups/{groupId}/files`

Operation ID: `getGroupFilesCollection`. Tags: Groups Resources.

Returns information about the files posted to the specified group.

Get information about the files posted to the specified group.

_Available in: v24.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/groups/{groupId}/files`

_Available in: v24.0_

#### Parameters

*   `page` (query, integer)
    
    An integer specifying a page of items. The default value is 0, which returns the first page.
    
    _Available in: v24.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 100. If you don't specify a size, the default is 25.
    
    _Available in: v24.0_
    
*   `q` (query, string)
    
    A query string to filter the results. The string must contain at least two characters, not including wildcards. For information about wildcards, see [Wildcards](/docs/platform/connect-rest-api/guide/intro_wildcards).
    
    _Available in: v27.0_
    
*   `groupId` (path, string (Id), required) ID of the group.

#### Responses

*   **200** _File Summary Page_ File summary page.
    
    Media type: `application/json`. Schema: `FileSummaryPage`.
    

### GET Group Records

`GET /chatter/groups/{groupId}/records`

Operation ID: `getGroupRecordCollection`. Tags: Groups Resources.

Returns a list of records associated with a group.

Get the list of records associated with a group.

_Available in: v33.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/groups/{groupId}/records`

_Available in: v33.0_

#### Parameters

*   `page` (query, integer)
    
    An integer specifying a page of items. The default value is 0, which returns the first page.
    
    _Available in: v33.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 100. If you don't specify a size, the default is 25.
    
    _Available in: v33.0_
    
*   `groupId` (path, string (Id), required) ID of the group.

#### Responses

*   **200** _Group Record Page_ A paginated list of records associated with a group.
    
    Media type: `application/json`. Schema: `GroupRecordPage`.
    

### POST Group Records

`POST /chatter/groups/{groupId}/records`

Operation ID: `postGroupRecordCollection`. Tags: Groups Resources.

Returns a list of records associated with a group.

Associate a record with a group.

**Note**: POST is supported in version 34.0 and later.

_Available in: v33.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/groups/{groupId}/records`

_Available in: v33.0_

#### Parameters

*   `recordId` (query, string)
    
    ID of the record.
    
    _Available in: v34.0_
    
*   `groupId` (path, string (Id), required) ID of the group.

#### Request body

Media type: `application/json`. Schema: `GroupRecordInput`.

_Example: example\_1_ Payload 1

```
{
  "recordId": "001D000000Io9cD"
}
```

#### Responses

*   **200** _Group Record_ A record associated with a group.
    
    Media type: `application/json`. Schema: `GroupRecord`.
    

### GET Group Information

`GET /chatter/groups/{groupId}`

Operation ID: `getGroupDetail`. Tags: Groups Resources.

Returns information about the specified group.

Get information about a Chatter group.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/groups/{groupId}`

_Available in: v23.0_

#### Parameters

*   `groupId` (path, string (Id), required) ID of the group.  
    Pattern: ^(0F9)\\w\*.

#### Responses

*   **200** _Group Detail_ Chatter group detail.
    
    Media type: `application/json`. Schema: `GroupDetail`.
    

### DELETE Group Information

`DELETE /chatter/groups/{groupId}`

Operation ID: `deleteGroupDetail`. Tags: Groups Resources.

Returns information about the specified group.

Delete a Chatter group.

_Available in: v29.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/groups/{groupId}`

_Available in: v29.0_

#### Parameters

*   `groupId` (path, string (Id), required) ID of the group.  
    Pattern: ^(0F9)\\w\*.

#### Responses

*   **200** Success

### PATCH Group Information

`PATCH /chatter/groups/{groupId}`

Operation ID: `patchGroupDetail`. Tags: Groups Resources.

Returns information about the specified group.

Update information about a Chatter group.

_Available in: v28.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/groups/{groupId}`

_Available in: v28.0_

Returns the same response body as the [GET /chatter/groups/{groupId}](/docs/platform/connect-rest-api/references/connect-rest-api-chatter#tag/Groups-Resources/operation/getGroupDetail) operation. See that operation for the full response schema.

#### Parameters

*   `groupId` (path, string (Id), required) ID of the group.  
    Pattern: ^(0F9)\\w\*.
*   `announcement` (query, string (Id))
    
    The ID of a feed item to use as an announcement.
    
    _Available in: v31.0_
    
      
    Pattern: ^(0Bt)\\w\*.
*   `canHaveChatterGuests` (query, boolean)
    
    `true` if this group allows Chatter customers, `false` otherwise. After this property is set to `true`, it cannot be set to `false`.
    
    _Available in: v29.0_
    
*   `description` (query, string)
    
    The “Description” section of the group.
    
    _Available in: v29.0_
    
*   `informationText` (query, string)
    
    If the group is private, the “Information” section is visible only to members. The “Description” section is visible to everyone.
    
    _Available in: v28.0_
    
*   `informationTitle` (query, string)
    
    The title of the “Information” section of the group.
    
    _Available in: v28.0_
    
*   `isArchived` (query, boolean)
    
    `true` if the group is archived, `false` otherwise. Defaults to `false`.
    
    _Available in: v29.0_
    
*   `isAutoArchiveDisabled` (query, boolean)
    
    `true` if automatic archiving is turned off for the group, `false` otherwise. Defaults to `false`.
    
    _Available in: v29.0_
    
*   `isBroadcast` (query, boolean)
    
    `true` if only group owners and managers can create posts in the group, `false` otherwise. Defaults to `false`.
    
    _Available in: v36.0_
    
*   `name` (query, string)
    
    The name of the group.
    
    _Available in: v29.0_
    
*   `owner` (query, string (Id))
    
    The ID of the group owner. This property is available for PATCH requests only.
    
    _Available in: v29.0_
    
      
    Pattern: ^(005)\\w\*.
*   `visibility` (query, ConnectGroupVisibilityEnum)
    
    Group visibility type. One of the following values:
    
    *   `PrivateAccess` —Only members of the group can see posts to this group.
    *   `PublicAccess` —All users within the Experience Cloud site can see posts to this group.
    *   `Unlisted` —Reserved for future use.
    
    _Available in: v29.0_
    

#### Request body

Chatter group input.

Media type: `application/json`. Schema: `GroupInput`.

_Example: example\_1_ Payload 1

```
{
  "announcement": "0D5D0000000K4XT",
  "canHaveChatterGuests": "true",
  "description": "This group is building a powerful API.",
  "information": {
    "text": "Read this section before you post to the group.",
    "title": "Information"
  },
  "isArchived": "false",
  "isAutoArchiveDisabled": "false",
  "name": "Chatter API",
  "owner": "00590000000DmPw",
  "visibility": "PublicAccess"
}
```

#### Responses

*   **200** _Group Detail_ Chatter group detail.
    
    Media type: `application/json`. Schema: `object`.
    
    Returns the same response body as the [GET /chatter/groups/{groupId}](/docs/platform/connect-rest-api/references/connect-rest-api-chatter#tag/Groups-Resources/operation/getGroupDetail) operation. See that operation for the full response schema.
    

#### Code samples

_Example: Example 1 · HTTP_

```
# This request body updates the text and title of the “Information” section of a
# group:

Content-Type: application/json

{
  "information": {
    "text": "Post questions about the API to this group. If you have the answer to a question, please post it. This is a private R&D group.",
    "title": "API Questions Group"
  }
}
```

### GET Group Banner Photo

`GET /chatter/groups/{groupId}/banner-photo`

Operation ID: `getGroupBannerPicture`. Tags: Groups Resources.

Use this resource to access the banner photo for the specified group, add, update, or delete the photo. To add a file from the Files list, use the request body or request parameters in this entry. To upload a binary file in REST , you must send it in a multipart/form-data message.

Get the banner photo for a group.

_Available in: v36.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/groups/{groupId}/banner-photo`

_Available in: v36.0_

#### Parameters

*   `groupId` (path, string (Id), required) ID of the group.  
    Pattern: ^(0F9)\\w\*.

#### Responses

*   **200** _Banner Photo_ A banner photo.
    
    Media type: `application/json`. Schema: `BannerPhoto`.
    

### POST Group Banner Photo

`POST /chatter/groups/{groupId}/banner-photo`

Operation ID: `postGroupBannerPicture`. Tags: Groups Resources.

Use this resource to access the banner photo for the specified group, add, update, or delete the photo. To add a file from the Files list, use the request body or request parameters in this entry. To upload a binary file in REST , you must send it in a multipart/form-data message.

Create the banner photo for a group.

To use an image from the Files page as a group banner photo, pass the file ID in the `fileId` property of the request body or in the `fileId` request parameter. Images uploaded on the Group page don’t have a file ID and can’t be used as the `fileId`.

To upload a binary file as the group banner photo, send it in a multipart/form-data message. For information about how to create the multipart/form-data message, see [Uploading Binary Files](/docs/platform/connect-rest-api/guide/intro_input#uploading-binary-files).

**Note**: Group owners and managers and users with the Manage All Data permission can DELETE and POST group banner photos.

**Note**: Images uploaded on the Group page and on the User page don’t have file IDs and therefore can’t be used.

**Note**: Photos are processed asynchronously and may not be visible right away.

_Available in: v36.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/groups/{groupId}/banner-photo`

_Available in: v36.0_

#### Parameters

*   `groupId` (path, string (Id), required) ID of the group.  
    Pattern: ^(0F9)\\w\*.
*   `cropHeight` (query, integer)
    
    The length of an edge in pixels of the crop rectangle.
    
    _Available in: v36.0_
    
*   `cropWidth` (query, integer)
    
    The width of an edge in pixels of the crop rectangle.
    
    _Available in: v36.0_
    
*   `cropX` (query, integer)
    
    The position X in pixels from the left edge of the image to start the crop square. Top left is position (0,0).
    
    _Available in: v36.0_
    
*   `cropY` (query, integer)
    
    The position Y in pixels from the top edge of the image to start the crop square. Top left is position (0,0).
    
    _Available in: v36.0_
    
*   `fileId` (query, string)
    
    ID of an existing file. The key prefix must be 069 and the file size must be less than 8 MB.
    
    Images uploaded on the Group page and on the User page don’t have file IDs and therefore can’t be used.
    
    Required to use an existing file
    
    _Available in: v36.0_
    
*   `versionNumber` (query, integer)
    
    Version number of an existing file. If not provided, the latest version is used.
    
    _Available in: v36.0_
    

#### Request body

_Available in: v36.0_

Media type: `multipart/form-data`. Schema: `object`.

*   `fileUpload` (_string (binary)_)
*   `cropHeight` (_integer_)
    
    Height of the crop rectangle in pixels.
    
    _Available in: v36.0_
    
*   `cropWidth` (_integer_)
    
    Width of the crop rectangle in pixels.
    
    _Available in: v36.0_
    
*   `cropX` (_integer_)
    
    X position of the crop rectangle from the left edge of the image in pixels. Top left is position (0,0).
    
    _Available in: v36.0_
    
*   `cropY` (_integer_)
    
    Y position of the crop rectangle from the top edge of the image in pixels. Top left is position (0,0).
    
    _Available in: v36.0_
    
*   `fileId` (_string_)
    
    18 character ID of an existing file. The key prefix must be 069 and the file must be an image and be smaller than 2 GB.
    
    Images uploaded on the Group page and on the User page don’t have file IDs and therefore can’t be used.
    
    Required to use an existing file
    
    _Available in: v36.0_
    
*   `versionNumber` (_integer_)
    
    Version number of an existing file. If not provided, the latest version is used.
    
    _Available in: v36.0_
    

_Example: example\_1_ Payload 1

```
{
  "cropHeight": "120",
  "cropWidth": "240",
  "fileId": "069D00000001IOh"
}
```

#### Responses

*   **200** _Banner Photo_ A banner photo.
    
    Media type: `application/json`. Schema: `BannerPhoto`.
    

### DELETE Group Banner Photo

`DELETE /chatter/groups/{groupId}/banner-photo`

Operation ID: `deleteGroupBannerPicture`. Tags: Groups Resources.

Use this resource to access the banner photo for the specified group, add, update, or delete the photo. To add a file from the Files list, use the request body or request parameters in this entry. To upload a binary file in REST , you must send it in a multipart/form-data message.

Delete the banner photo for a group.

**Note**: Group owners and managers and users with the Manage All Data permission can DELETE and POST group banner photos.

_Available in: v36.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/groups/{groupId}/banner-photo`

_Available in: v36.0_

#### Parameters

*   `groupId` (path, string (Id), required) ID of the group.  
    Pattern: ^(0F9)\\w\*.

#### Responses

*   **204** _Successful Delete_ Success

### GET Group Members

`GET /chatter/groups/{groupId}/members`

Operation ID: `getGroupMemberCollection`. Tags: Groups Resources.

Returns a list of members for the specified group. Also use this resource and POST to add members to a group.

Get the members of a group.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/groups/{groupId}/members`

_Available in: v23.0_

#### Parameters

*   `groupId` (path, string (Id), required) ID of the group.  
    Pattern: ^(0F9)\\w\*.
*   `page` (query, integer)
    
    An integer specifying a page of items. The default value is 0, which returns the first page.
    
    _Available in: v23.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 1000. If you don’t specify a size, the default is 25.
    
    _Available in: v23.0_
    

#### Responses

*   **200** _Group Member Page_ Success
    
    Media type: `application/json`. Schema: `GroupMemberPage`.
    

#### Code samples

_Example: Example 2 · HTTP_

```
# If the group is private, the response is 403. To request to join the group,
# send a POST request to the Group Members—Private resource
# (`/chatter/groups/{groupId}/members/requests`).

/services/data/v67.0/chatter/groups/0F9D000000006bOKAQ
/members?userId=005D0000001GpHp
```

### POST Group Members

`POST /chatter/groups/{groupId}/members`

Operation ID: `postGroupMemberCollection`. Tags: Groups Resources.

Returns a list of members for the specified group. Also use this resource and POST to add members to a group.

Add a member to a group. To add a member, the context user must be the group owner or moderator.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/groups/{groupId}/members`

_Available in: v23.0_

#### Parameters

*   `groupId` (path, string (Id), required) ID of the group.  
    Pattern: ^(0F9)\\w\*.
*   `role` (query, ConnectGroupMembershipEnum)
    
    The role of the member.
    
    _Available in: v29.0_
    
*   `userId` (query, string)
    
    ID of the user to add to the group.
    
    _Available in: v23.0_
    

#### Request body

_Available in: v29.0_

Media type: `application/json`. Schema: `GroupMemberInput`.

#### Responses

*   **200** _Group Member_ Chatter group member.
    
    Media type: `application/json`. Schema: `GroupMember`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
{"userId": "005D0000001GpHp" }
```

### GET Group Members—Private

`GET /chatter/groups/{groupId}/members/requests`

Operation ID: `getGroupMembershipRequestCollection`. Tags: Groups Resources.

Request membership in a private group or get the status of requests to a join a private group.

Get the status of requests to join a private group.

_Available in: v27.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/groups/{groupId}/members/requests`

_Available in: v27.0_

#### Parameters

*   `groupId` (path, string (Id), required) ID of the group.  
    Pattern: ^(0F9)\\w\*.
*   `status` (query, ConnectGroupMembershipRequestStatus)
    
    Optional. If you include this parameter, results are filtered to include those that match the specified status. Valid values:
    
    _Available in: v27.0_
    

#### Responses

*   **200** _Group Membership Request Collection_ Success
    
    Media type: `application/json`. Schema: `GroupMembershipRequestCollection`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
/chatter/groups/0F9D00000000izfKAA/members/requests?status=Accepted
```

### POST Group Members—Private

`POST /chatter/groups/{groupId}/members/requests`

Operation ID: `postGroupMembershipRequestCollection`. Tags: Groups Resources.

Request membership in a private group or get the status of requests to a join a private group.

Request membership in a private group.

**Note**: To add a member to a public group, use the [Group Members](/docs/platform/connect-rest-api/references/connect-rest-api-chatter#tag/Groups-Resources/operation/postGroupMemberCollection) resource.

_Available in: v27.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/groups/{groupId}/members/requests`

_Available in: v27.0_

#### Parameters

*   `groupId` (path, string (Id), required) ID of the group.  
    Pattern: ^(0F9)\\w\*.

#### Responses

*   **200** _Group Membership Request_
    
    This table lists HTTP response code descriptions that are unique to this resource. For descriptions of other HTTP response codes, see Status Codes and Error Responses.
    
    *   **201** — One of the following:
        *   Success
        *   User already has a membership request for this group
    *   **204** — User is already a member of this group.
    *   **403** — One of the following:
        *   Group is private: `INSUFFICIENT_ACCESS_OR_READONLY`
        *   User is an external user: `INSUFFICIENT_ACCESS`
    
    Media type: `application/json`. Schema: `GroupMembershipRequest`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
# Specify the ID ( `0F9D00000000lpK` ) of the group.

/chatter/groups/0F9D00000000lpK/members/requests
```

### GET Group Settings

`GET /chatter/groups/{groupId}/my-settings`

Operation ID: `getMyGroupSettings`. Tags: Groups Resources.

Information about the context user’s Chatter settings for the specified group.

Get information about the context user’s Chatter settings for the specified group.

_Available in: v27.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/groups/{groupId}/my-settings`

_Available in: v27.0_

#### Parameters

*   `groupId` (path, string (Id), required) ID of the group.  
    Pattern: ^(0F9)\\w\*.

#### Responses

*   **200** _Group Chatter Settings_ Success
    
    Media type: `application/json`. Schema: `GroupChatterSettings`.
    

### PATCH Group Settings

`PATCH /chatter/groups/{groupId}/my-settings`

Operation ID: `patchMyGroupSettings`. Tags: Groups Resources.

Information about the context user’s Chatter settings for the specified group.

Update the context user’s Chatter settings for the specified group.

_Available in: v27.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/groups/{groupId}/my-settings`

_Available in: v27.0_

#### Parameters

*   `groupId` (path, string (Id), required) ID of the group.  
    Pattern: ^(0F9)\\w\*.
*   `emailFrequency` (query, ConnectEmailFrequencyEnum)
    
    The frequency with which a group member receives email from a group.
    
    _Available in: v27.0_
    

#### Request body

Media type: `application/json`. Schema: `GroupChatterSettingsInput`.

#### Responses

*   **200** _Group Chatter Settings_ Success
    
    Media type: `application/json`. Schema: `GroupChatterSettings`.
    

### GET Group Photo

`GET /chatter/groups/{groupId}/photo`

Operation ID: `getGroupPicture`. Tags: Groups Resources.

Use this resource to access the photo for the specified group, add, update, or delete the photo. To add a file from the Files list, use the request body or request parameters in this entry. To upload a binary filein REST , you must send it in a multipart/form-data message.

Get the group photo.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/groups/{groupId}/photo`

_Available in: v23.0_

#### Parameters

*   `groupId` (path, string (Id), required) ID of the group.  
    Pattern: ^(0F9)\\w\*.

#### Responses

*   **200** _Photo_ Photo.
    
    Media type: `application/json`. Schema: `Photo`.
    

### POST Group Photo

`POST /chatter/groups/{groupId}/photo`

Operation ID: `postGroupPicture`. Tags: Groups Resources.

Use this resource to access the photo for the specified group, add, update, or delete the photo. To add a file from the Files list, use the request body or request parameters in this entry. To upload a binary filein REST , you must send it in a multipart/form-data message.

Update and crop the group photo.

To use an image from the Files page as a group photo (existing content), pass the file ID in the `fileId` property of the request body or in the `fileId` request parameter. Images uploaded on the Group page don’t have a file ID and can’t be used as the `fileId`.

To upload a binary file as a group photo, you must send it in a multipart/form-data message. For information about how to create the multipart/form-data message, see [Uploading Binary Files](/docs/platform/connect-rest-api/guide/intro_input#uploading-binary-files).

**Note**: Files uploaded on the Group page and on the User Profile page don’t have a file ID and can’t be posted or cropped. Files uploaded on the Files page have a file ID and can be posted and cropped.

**Note**: Photos are processed asynchronously and may not be visible right away.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/groups/{groupId}/photo`

_Available in: v23.0_

#### Parameters

*   `groupId` (path, string (Id), required) ID of the group.  
    Pattern: ^(0F9)\\w\*.
*   `cropSize` (query, integer)
    
    The length, in pixels, of any edge of the crop square.
    
    Required to crop an uploaded file or an existing file.
    
    _Available in: v29.0_
    
*   `cropX` (query, integer)
    
    The position X, in pixels, from the left edge of the image to the start of the crop square. Top left is position (0,0).
    
    Required to crop an uploaded file or an existing file.
    
    _Available in: v29.0_
    
*   `cropY` (query, integer)
    
    The position Y, in pixels, from the top edge of the image to the start of the crop square. Top left is position (0,0).
    
    Required to crop an uploaded file or an existing file.
    
    _Available in: v29.0_
    
*   `fileId` (query, string)
    
    18 character ID of an existing file. The key prefix must be 069 and the file size must be less than 2 GB.
    
    Files uploaded on the Group page and on the User Profile page don’t have a file ID and can’t be posted or cropped. Files uploaded on the Files page have a file ID and can be posted and cropped.
    
    Required to choose an existing file.
    
    _Available in: v25.0_
    
*   `versionNumber` (query, integer)
    
    Version number of the existing content. If not provided, the latest version is used.
    
    _Available in: v25.0_
    

#### Request body

_Available in: v29.0_

Media type: `multipart/form-data`. Schema: `object`.

*   `fileUpload` (_string (binary)_)
*   `cropSize` (_integer_)
    
    The length, in pixels, of any edge of the crop square.
    
    Required to crop an uploaded file or an existing file.
    
    _Available in: v29.0_
    
*   `cropX` (_integer_)
    
    The position X, in pixels, from the left edge of the image to the start of the crop square. Top left is position (0,0).
    
    Required to crop an uploaded file or an existing file.
    
    _Available in: v29.0_
    
*   `cropY` (_integer_)
    
    The position Y, in pixels, from the top edge of the image to the start of the crop square. Top left is position (0,0).
    
    Required to crop an uploaded file or an existing file.
    
    _Available in: v29.0_
    
*   `fileId` (_string_)
    
    18 character ID of an existing file. The key prefix must be 069 and the file must be an image and be smaller than 2 GB.
    
    Images uploaded on the Group page and on the User page don’t have file IDs and therefore can’t be used.
    
    Required to choose an existing file.
    
    _Available in: v25.0_
    
*   `versionNumber` (_integer_)
    
    Version number of an existing file. If not provided, the latest version is used.
    
    _Available in: v25.0_
    

_Example: example\_1_ Payload 1

```
{
  "cropSize": "120",
  "cropX": "0",
  "cropY": "0",
  "fileId": "069D00000001IOh"
}
```

#### Responses

*   **200** _Photo_ Photo.
    
    Media type: `application/json`. Schema: `Photo`.
    

### DELETE Group Photo

`DELETE /chatter/groups/{groupId}/photo`

Operation ID: `deleteGroupPicture`. Tags: Groups Resources.

Use this resource to access the photo for the specified group, add, update, or delete the photo. To add a file from the Files list, use the request body or request parameters in this entry. To upload a binary filein REST , you must send it in a multipart/form-data message.

Delete the group photo.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/groups/{groupId}/photo`

_Available in: v23.0_

#### Parameters

*   `groupId` (path, string (Id), required) ID of the group.  
    Pattern: ^(0F9)\\w\*.

#### Responses

*   **204** _Successful Delete_ Success

### GET Influence

`GET /chatter/influence/thresholds`

Operation ID: `getGlobalInfluenceThresholdCollection`. Tags: Influence Resources.

List of the percentile thresholds used to categorize an organization’s users by their influence in Chatter. Users are ranked based on the number of posts and comments made, and comments and likes received. The percentile associated with a category represents the bottom threshold for that influencer category. For example: 0.25 defines the cutoff for the Active Influencer category, which means it includes users with an influence rank equal to or greater than the 25th percentile (25%) and less than the next highest category threshold.

Get the percentile thresholds used to categorize an org’s users by their influence in Chatter.

_Available in: v24.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/influence/thresholds`

_Available in: v24.0_

#### Responses

*   **200** _Influence Thresholds_ Success
    
    Media type: `application/json`. Schema: `GlobalInfluenceThresholdCollection`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
{"thresholds": [
   {
      "name": "Top Influencer",
      "threshold": "0.8",
   }
   {
      "name": "Active Influencer",
      "threshold": "0.25",
   }
   {
      "name": "Observer",
      "threshold": "0.0",
   }
]}
```

### GET Likes

`GET /chatter/likes/{likeId}`

Operation ID: `getLike`. Tags: Likes Resources.

Information about the specified like. Also used to delete a like. You can find the ID for a specific like from any feed, such as a news feed or a record feed.

Get information about the specified like.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/likes/{likeId}`

_Available in: v23.0_

#### Parameters

*   `likeId` (path, string (Id), required) ID of the like.  
    Pattern: ^(0I0)\\w\*.

#### Responses

*   **200** _Like_ Chatter like.
    
    Media type: `application/json`. Schema: `Like`.
    

### DELETE Likes

`DELETE /chatter/likes/{likeId}`

Operation ID: `deleteLike`. Tags: Likes Resources.

Information about the specified like. Also used to delete a like. You can find the ID for a specific like from any feed, such as a news feed or a record feed.

Delete the specified like.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/likes/{likeId}`

_Available in: v23.0_

#### Parameters

*   `likeId` (path, string (Id), required) ID of the like.  
    Pattern: ^(0I0)\\w\*.

#### Responses

*   **204** _Successful Delete_ Success

### GET Link Metadata

`GET /chatter/link-metadata`

Operation ID: `getLinkMetadata`. Tags: Chatter Resources.

Gets the metadata information for a given set of URLs.

Get link metadata for URLs.

_Available in: v42.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/link-metadata`

_Available in: v42.0_

#### Parameters

*   `urls` (query, array of string, required)
    
    Comma-separated list of URL-encoded URLs.
    
    _Available in: v42.0_
    

#### Responses

*   **200** _Link Metadata Collection_ Collection of link metadata.
    
    Media type: `application/json`. Schema: `LinkMetadataCollection`.
    

### GET Mentions Completions

`GET /chatter/mentions/completions`

Operation ID: `getMentionCompletions`. Tags: Mentions Resources.

Provides pages of mention completion proposals.

Information about users and groups to mention in a feed item body or comment body. Use this resource to generate a list of proposed mentions that a user can choose from. A mention is an “@” character followed by a user or group name. When a user or group is mentioned, they receive a notification.

_Available in: v29.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/mentions/completions`

_Available in: v29.0_

#### Parameters

*   `contextId` (query, string (Id))
    
    A feed item ID (for a mention in a comment) or a feed subject ID (for a mention in a feed item) that narrows search results, with more useful results listed first. Use a group ID for groups that allow customers to ensure mention completion results include customers.
    
    _Available in: v29.0_
    
*   `page` (query, integer)
    
    The number of the page you want returned. Numbering starts at 0. If you pass `0` or omit the property, the first page is returned.
    
    Attempting to page beyond 500 results returns an empty response.
    
    _Available in: v29.0_
    
*   `pageSize` (query, integer)
    
    The number of items per page. Valid values are from 1 through 100. The default size is 25.
    
    Attempting to retrieve more than 500 results returns an empty response.
    
    _Available in: v29.0_
    
*   `q` (query, string, required)
    
    A search term for matching user and group names. Searching for a group requires a minimum of 2 characters. Searching for a user doesn’t require a minimum number of characters. This parameter does not support wildcards.
    
    _Available in: v29.0_
    
*   `type` (query, ConnectMentionCompletionType)
    
    The type of mention completion. One of these values:
    
    *   `All` — All mention completions, regardless of the type of record to which the mention refers.
    *   `Group` — Mention completions for groups.
    *   `User` — Mention completions for users.
    
    The default value is `All`.
    
    _Available in: v29.0_
    

#### Responses

*   **200** _Mention Completion Page_ Paginated list of Mention Completion response bodies.
    
    Media type: `application/json`. Schema: `MentionCompletionPage`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
# Specify the feed item ID in the `contextId` parameter to request mention
# completions for a comment on the feed item.

/chatter/mentions/completions?contextId=0D5D0000000Hwky&q=g
```

### GET Mentions Validations

`GET /chatter/mentions/validations`

Operation ID: `getMentionValidations`. Tags: Mentions Resources.

Provides validation information for potential mentions.

Information about whether the specified mentions are valid for the context user. For example, the context user can’t mention private groups he doesn’t belong to. If such a group were included in the list of mention validations, the `hasErrors` property of the Mention Validations response body would be `true` and the group would have a `validationStatus` of `Disallowed` in its mention validation.

_Available in: v29.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/mentions/validations`

_Available in: v29.0_

#### Parameters

*   `parentId` (query, string, required)
    
    The feed item parent ID.
    
    _Available in: v29.0_
    
*   `recordIds` (query, array of string, required)
    
    A comma-separated list of IDs to be mentioned. The maximum value is 25.
    
    _Available in: v29.0_
    
*   `visibility` (query, ConnectFeedItemVisibilityEnum, required)
    
    Type of users who can see a feed item.
    
    *   `AllUsers` — Visibility is not limited to internal users.
    *   `InternalUsers` — Visibility is limited to internal users.
    
    _Available in: v29.0_
    

#### Responses

*   **200** _Mention Validation_ Information about whether a proposed mention is valid for the context user.
    
    Media type: `application/json`. Schema: `MentionValidations`.
    

### GET Followers on Records

`GET /chatter/records/{recordId}/followers`

Operation ID: `getFollowers`. Tags: Followers on Records Resources.

Returns information about the followers of the specified record.

Get information about the followers of the specified record.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/records/{recordId}/followers`

_Available in: v23.0_

Returns the same response body as the [GET /chatter/users/{userId}/followers](/docs/platform/connect-rest-api/references/connect-rest-api-chatter#tag/Users-Resources/operation/getUserFollowerCollection) operation. See that operation for the full response schema.

#### Parameters

*   `recordId` (path, string (IdOrMe), required) As of version 29.0, you can use a topic ID for the `recordId`.
*   `page` (query, integer) An integer specifying a page of items. The default value is 0, which returns the first page.
*   `pageSize` (query, integer) Specifies the number of items per page. Valid values are between 1 and 1000. If you don't specify a size, the default is 25.

#### Responses

*   **200** _Follower Page_ Success
    
    Media type: `application/json`. Schema: `object`.
    
    Returns the same response body as the [GET /chatter/users/{userId}/followers](/docs/platform/connect-rest-api/references/connect-rest-api-chatter#tag/Users-Resources/operation/getUserFollowerCollection) operation. See that operation for the full response schema.
    

### GET Chatter Feed Streams

`GET /chatter/streams`

Operation ID: `getStreams`. Tags: Chatter Resources.

Returns a list of streams for the context user.

Get or search a list of Chatter feed streams for the context user.

**Tip**: If you know the site ID of the streams, we recommend using `/connect/communities/{communityId}/chatter/streams` and not using `globalScope`.

_Available in: v39.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/streams`

_Available in: v39.0_

#### Parameters

*   `globalScope` (query, boolean)
    
    Specifies whether to get streams from all the context user’s Experience Cloud sites, regardless of the `{communityId}` value.
    
    **Tip**: If you know the site ID of the streams, we recommend using `/connect/communities/{communityId}/chatter/streams` and not using `globalScope`.
    
    _Available in: v41.0_
    
*   `page` (query, integer)
    
    Number of the page you want returned. Starts at 0. If you pass in `null` or 0, the first page is returned.
    
    _Available in: v39.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 to 250. The default size is 25.
    
    _Available in: v39.0_
    
*   `q` (query, string)
    
    Specifies the string to search. The search string must contain at least two characters, not including wildcards. See [Wildcards](/docs/platform/connect-rest-api/guide/intro_wildcards) .
    
    _Available in: v40.0_
    
*   `sort` (query, ConnectSortOrderEnum)
    
    Specifies the sort order. Values are:
    
    *   `Ascending` — Items are in ascending alphabetical order (A-Z).
    *   `Descending` — Items are in descending alphabetical order (Z-A).
    *   `MostRecentlyViewed` — Items are in descending chronological order by view. This sort order is valid only for Chatter feed streams.
    
    If not specified, default value is `Ascending`.
    
    _Available in: v40.0_
    

#### Responses

*   **200** _Chatter Stream Collection_ A collection of Chatter feed streams.
    
    Media type: `application/json`. Schema: `FeedStreamCollection`.
    

### POST Chatter Feed Streams

`POST /chatter/streams`

Operation ID: `createStream`. Tags: Chatter Resources.

Returns a list of streams for the context user.

Create a Chatter feed stream.

_Available in: v39.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/streams`

_Available in: v39.0_

#### Parameters

*   `description` (query, string)
    
    Description of the stream, up to 1,000 characters.
    
    _Available in: v39.0_
    
*   `name` (query, string, required)
    
    Name of the stream, up to 120 characters.
    
    Required when creating a stream (POST).
    
    _Available in: v39.0_
    

#### Request body

_Available in: v39.0_

Media type: `application/json`. Schema: `FeedStreamInput`.

_Example: example\_1_ Payload 1

```
{
  "description": "Feeds from my management hierarchy.",
  "name": "Managers Stream",
  "subscriptionsToAdd": {
    "subscriptions": [
      {
        "entityId": "00590000000Dk5F"
      },
      {
        "entityId": "00590000000Fk4M"
      },
      {
        "entityId": "00590000000Sy7N"
      },
      {
        "entityId": "00590000000Dk4H"
      },
      {
        "entityId": "00590000000Uk7L"
      }
    ]
  }
}
```

#### Responses

*   **200** _Chatter Stream_ Success
    
    Media type: `application/json`. Schema: `FeedStream`.
    

### GET Chatter Feed Stream

`GET /chatter/streams/{streamId}`

Operation ID: `getStream`. Tags: Chatter Resources.

Returns information about the specified stream.

Get information about a Chatter feed stream.

**Tip**: If you know the site ID of the stream, we recommend using `/connect/communities/{communityId}/chatter/streams/{streamId}` and not using `globalScope`.

_Available in: v39.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/streams/{streamId}`

_Available in: v39.0_

#### Parameters

*   `streamId` (path, string (Id), required) ID of the stream.  
    Pattern: ^(0Fq)\\w\*.
*   `globalScope` (query, boolean)
    
    Specifies whether to get streams from all the context user’s Experience Cloud sites, regardless of the `{communityId}` value.
    
    **Tip**: If you know the site ID of the stream, we recommend using `/connect/communities/{communityId}/chatter/streams/{streamId}` and not using `globalScope`.
    
    _Available in: v41.0_
    

#### Responses

*   **200** _Chatter Stream_ Success
    
    Media type: `application/json`. Schema: `FeedStream`.
    

### DELETE Chatter Feed Stream

`DELETE /chatter/streams/{streamId}`

Operation ID: `deleteStream`. Tags: Chatter Resources.

Returns information about the specified stream.

Delete a Chatter feed stream.

_Available in: v39.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/streams/{streamId}`

_Available in: v39.0_

#### Parameters

*   `streamId` (path, string (Id), required) ID of the stream.  
    Pattern: ^(0Fq)\\w\*.

#### Responses

*   **204** _Successful Delete_ Success

### PATCH Chatter Feed Stream

`PATCH /chatter/streams/{streamId}`

Operation ID: `updateStream`. Tags: Chatter Resources.

Returns information about the specified stream.

Update a Chatter feed stream.

_Available in: v39.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/streams/{streamId}`

_Available in: v39.0_

#### Parameters

*   `streamId` (path, string (Id), required) ID of the stream.  
    Pattern: ^(0Fq)\\w\*.
*   `description` (query, string)
    
    Description of the stream, up to 1,000 characters.
    
    _Available in: v39.0_
    
*   `name` (query, string)
    
    Name of the stream, up to 120 characters.
    
    _Available in: v39.0_
    

#### Request body

_Available in: v39.0_

Media type: `application/json`. Schema: `FeedStreamInput`.

_Example example\_1: same as POST /chatter/streams request._ Payload 1

_Example: example\_1_ Payload 1

#### Responses

*   **200** _Chatter Stream_ Success
    
    Media type: `application/json`. Schema: `FeedStream`.
    

### GET Subscriptions

`GET /chatter/subscriptions/{subscriptionId}`

Operation ID: `getSubscription`. Tags: Subscriptions Resources.

Information about the specified subscription to a record. Also used to delete a subscription, for example, to unfollow a record. A subscription ID is returned as part of the response body for follower and following resources, In addition, subscriptions IDs are also returned in many summary response bodies, such as group summary or user summary.

Get information about a subscription.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/subscriptions/{subscriptionId}`

_Available in: v23.0_

#### Parameters

*   `subscriptionId` (path, string (Id), required) A subscription ID is returned as part of the response body for `follower` and `following` resources, for example, `/records/{recordId}/followers`. In addition, subscriptions IDs are also returned in many summary response bodies, such as group summary or user summary.  
    Pattern: ^(0E8|0CE)\\w\*.

#### Responses

*   **200** _Subscription_ Chatter subscription, or following, information.
    
    Media type: `application/json`. Schema: `Subscription`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
/chatter/subscriptions/0E8D00000001JkFKAU
```

### DELETE Subscriptions

`DELETE /chatter/subscriptions/{subscriptionId}`

Operation ID: `deleteSubscription`. Tags: Subscriptions Resources.

Information about the specified subscription to a record. Also used to delete a subscription, for example, to unfollow a record. A subscription ID is returned as part of the response body for follower and following resources, In addition, subscriptions IDs are also returned in many summary response bodies, such as group summary or user summary.

Delete a subscription, for example, to unfollow a record or a topic.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/subscriptions/{subscriptionId}`

_Available in: v23.0_

#### Parameters

*   `subscriptionId` (path, string (Id), required) A subscription ID is returned as part of the response body for `follower` and `following` resources, for example, `/records/{recordId}/followers`. In addition, subscriptions IDs are also returned in many summary response bodies, such as group summary or user summary.  
    Pattern: ^(0E8|0CE)\\w\*.

#### Responses

*   **200** Success

### GET User Information

`GET /chatter/users`

Operation ID: `getUserDetailCollection`. Tags: Users Resources.

Returns information about all users in an organization.

Returns information about all users in an organization.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/users`

_Available in: v23.0_

#### Parameters

*   `page` (query, integer)
    
    An integer specifying a page of items. The default value is 0, which returns the first page.
    
    _Available in: v23.0_
    
*   `pageSize` (query, integer)
    
    The number of items per page. Valid values are between 1 and 250. The default value is 25.
    
    _Available in: v23.0_
    
*   `q` (query, string)
    
    Specifies the string to search.
    
    This parameter searches user names, not email addresses, titles, and so on.
    
    _Available in: v23.0_
    
*   `searchContextId` (query, string)
    
    Specify a feed item ID that provides context for the search results.
    
    Use this parameter for @mention completion. Passing a feed item ID for `searchContextId` matches users already mentioned in the thread earlier in the returned collection. You can also use the Mentions Completions resource, which is specifically designed for @mention completion.
    
    When using this parameter, you can’t query more than 500 results and you can’t use wildcards in the search term.
    
    _Available in: v28.0_
    

#### Responses

*   **200** _User Page_ Page of Chatter users.
    
    Media type: `application/json`. Schema: `UserPage`.
    

### GET Batch User Information

`GET /chatter/users/batch/{user_list}`

Operation ID: `getUserBatch`. Tags: Users Resources.

Returns information about the specified users’ profiles.

Returns information about the specified users’ profiles.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/users/batch/{user_list}`

_Available in: v23.0_

#### Parameters

*   `user_list` (path, string, required) Where `user_list` is a comma-separated list of up to 500 user IDs.

#### Responses

*   **200** _Batch Results_ Batch results.
    
    Media type: `application/json`. Schema: `Batch`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
/chatter/users/batch/005D0000001Kl6xIAC,005D0000005J3D4HVB, . . .
```

### GET User Profile Information

`GET /chatter/users/{userId}`

Operation ID: `getUser`. Tags: Users Resources.

Returns information about the logged-in or specified user's Chatter profile.

Get information about the context or specified user.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/users/{userId}`

_Available in: v23.0_

#### Parameters

*   `userId` (path, string (IdOrMe), required) ID of the user.  
    Pattern: ^(005)\\w\*|me.

#### Responses

*   **200** _User Detail_
    
    User detail. If the context user doesn’t have permission to see a property, the property is set to `null`.
    
    If the user is external, the properties that the User Detail response body shares with the User Summary response body can have non-null values. Other properties are always `null`.
    
    Media type: `application/json`. Schema: `UserDetail`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
/chatter/users/me?aboutMe=Staff+Technical+Writer+at+Seattle+Apps
```

_Example: Example 2 · HTTP_

```
/chatter/users/005D0000001GLowIAB?include=/chatterActivity
```

### PATCH User Profile Information

`PATCH /chatter/users/{userId}`

Operation ID: `updateUser`. Tags: Users Resources.

Returns information about the logged-in or specified user's Chatter profile.

Update information about the context or specified user.

_Available in: v29.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/users/{userId}`

_Available in: v29.0_

#### Parameters

*   `userId` (path, string (IdOrMe), required) ID of the user.  
    Pattern: ^(005)\\w\*|me.
*   `aboutMe` (query, string)
    
    The `aboutMe` property of a User Detail response body. The maximum length is 1000 characters. This property populates the “About Me” section of the user profile, which is visible to all members of an Experience Cloud site or org.
    
    _Available in: v29.0_
    

#### Request body

User input.

_Available in: v29.0_

Media type: `application/json`. Schema: `UserInput`.

_Example: example\_1_ Payload 1

```
{
  "aboutMe": "Staff Technical Writer responsible for the Connect API and Connect in Apex documentation."
}
```

#### Responses

*   **200** _User Detail_ User detail. If the context user doesn’t have permission to see a property, the property is set to `null`.
    
    Media type: `application/json`. Schema: `UserDetail`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
/chatter/users/me?aboutMe=Staff+Technical+Writer+at+Seattle+Apps
Content-Type: application/json

{
  "aboutMe": "Staff Technical Writer responsible for the Connect API and Connect in Apex documentation."
}
```

_Example: Example 2 · HTTP_

```
/chatter/users/005D0000001GLowIAB?include=/chatterActivity
Content-Type: application/json

{
  "aboutMe": "Staff Technical Writer responsible for the Connect API and Connect in Apex documentation."
}
```

### POST User Activity, Export

`POST /chatter/users/{userId}/activities/export-job`

Operation ID: `exportUserActivities`. Tags: Users Resources.

Start a job to export Chatter-related activities for the user.

Export Chatter-related activity, such as bookmarks, topic endorsements, and votes, for a user.

Export these activities.

*   `Bookmark` — User bookmarked a post.
*   `ChatterActivity` — Total counts of posts and comments made and likes and comments received for a user.
*   `ChatterLike` — User liked a post or comment.
*   `Comment` — User commented on a post.
*   `CompanyVerify` — User verified comment.
*   `DownVote` — User downvoted a post or comment.
*   `FeedEntityRead` — User read a post.
*   `FeedRead` — User read a feed.
*   `Mute` — User muted a post.
*   `Post` — User made a post.
*   `TopicEndorsement` — User endorsed another user on a topic or received endorsement on a topic.
*   `UpVote` — User upvoted a post or comment.

**Note**: POST doesn’t take request parameters or a request body.

_Available in: v42.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/users/{userId}/activities/export-job`

_Available in: v42.0_

#### Parameters

*   `userId` (path, string (IdOrMe), required) ID of the user.  
    Pattern: ^(005)\\w\*|me.

#### Responses

*   **200** _User Activities Job_ User activities job.
    
    Media type: `application/json`. Schema: `UserActivitiesJob`.
    

### POST User Activity, Purge

`POST /chatter/users/{userId}/activities/purge-job`

Operation ID: `purgeUserActivities`. Tags: Users Resources.

Initiate a job to purge Chatter-related activities for the user.

Start a job to purge Chatter-related activity, such as bookmarks, topic endorsements, and votes, for a user.

Purge these activities.

*   `Bookmark` — User bookmarked a post.
*   `ChatterActivity` — Total counts of posts and comments made and likes and comments received for a user.
*   `ChatterLike` — User liked a post or comment.
*   `CompanyVerify` — User verified comment.
*   `DownVote` — User downvoted a post or comment.
*   `FeedEntityRead` — User read a post.
*   `FeedRead` — User read a feed.
*   `Mute` — User muted a post.
*   `TopicEndorsement` — User endorsed another user on a topic or received endorsement on a topic.
*   `UpVote` — User upvoted a post or comment.

To delete a user’s posts and comments, use these resources, respectively.

*   [Feed Element](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Feed-Elements-Resources/operation/deleteFeedElement)
*   [Comment](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Comments-Resources/operation/deleteComment)

**Note**: POST doesn’t take request parameters or a request body.

_Available in: v42.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/users/{userId}/activities/purge-job`

_Available in: v42.0_

#### Parameters

*   `userId` (path, string (IdOrMe), required) ID of the user.  
    Pattern: ^(005)\\w\*|me.

#### Responses

*   **200** _User Activities Job_ User activities job.
    
    Media type: `application/json`. Schema: `UserActivitiesJob`.
    

### GET User Conversations, General

`GET /chatter/users/{userId}/conversations`

Operation ID: `getConversations`. Tags: Users Resources.

Returns all private conversations for the logged–in user. Also used to search across all conversations.

Get private conversations for the context user and search across private conversations.

To get all private messages for a context user, see [User Messages, General](/docs/platform/connect-rest-api/references/connect-rest-api-chatter#tag/Users-Resources/operation/getMessages).

Private messages and direct messages are different features. Direct messages are newer and offer a richer feature set for private communication in Experience Cloud sites. Direct messages are a capability within Chatter feeds. To work with direct messages, see [Feed Elements, Post and Search](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Feed-Elements-Resources/operation/getFeedElementCollection).

**Note**: The query parameter only searches message text bodies, not user names, titles, and so on.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/users/{userId}/conversations`

_Available in: v23.0_

#### Parameters

*   `userId` (path, string (IdOrMe), required) `{userId}` must be the ID of the context user or the alias `me`.  
    Pattern: ^(005)\\w\*|me.
*   `page` (query, string)
    
    A page token that indicates where retrieval begins. Get this token from the `NextPageUrl` property in the response body.
    
    _Available in: v23.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 100. If you don't specify a size, the default is 25.
    
    _Available in: v23.0_
    
*   `q` (query, string)
    
    Specifies the string to search. The search string must contain at least two characters, not including any wildcards. For more information about wildcards, see [Wildcards](/docs/platform/connect-rest-api/guide/intro_wildcards). This parameter is optional.
    
    The query parameter only searches message text bodies, not user names, titles, and so on.
    
    _Available in: v24.0_
    

#### Responses

*   **200** _Conversation Summary Collection_ Conversation summary collection.
    
    Media type: `application/json`. Schema: `ConversationSummaryCollection`.
    

### GET Get Unread Count for Conversations

`GET /chatter/users/{userId}/conversations/unread-count`

Operation ID: `getUnreadCount`. Tags: Users Resources.

Returns the number of conversations that have unread messages for the logged-in or specified user.

Get the number of private conversations that have unread messages for a user.

Private messages and direct messages are different features. Direct messages are newer and offer a richer feature set for private communication in Experience Cloud sites. Direct messages are a capability within Chatter feeds. To work with direct messages, see [Feed Elements, Post and Search](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Feed-Elements-Resources/operation/getFeedElementCollection).

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/users/{userId}/conversations/unread-count`

_Available in: v23.0_

#### Parameters

*   `userId` (path, string (IdOrMe), required) ID of the user.  
    Pattern: ^(005)\\w\*|me.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `ConversationUnreadCount`.
    

### GET User Conversations, Specific

`GET /chatter/users/{userId}/conversations/{conversationId}`

Operation ID: `getConversation`. Tags: Users Resources.

Returns information about the specified private conversation for the logged-in user. Also used to search within a specific conversation.

Get a private conversation for the context user. Search within a private conversation.

To get a specific private message for a context user, see [User Messages, Specific](/docs/platform/connect-rest-api/references/connect-rest-api-chatter#tag/Users-Resources/operation/getMessage). To get all private conversations for a context user, see [User Conversations, General](/docs/platform/connect-rest-api/references/connect-rest-api-chatter#tag/Users-Resources/operation/getConversations).

Private messages and direct messages are different features. Direct messages are newer and offer a richer feature set for private communication in Experience Cloud sites. Direct messages are a capability within Chatter feeds. To work with direct messages, see [Feed Elements, Post and Search](/docs/platform/connect-rest-api/references/connect-rest-api-chatter-feeds#tag/Feed-Elements-Resources/operation/getFeedElementCollection).

**Note**: The query parameter only searches message text bodies, not user names, titles, and so on.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/users/{userId}/conversations/{conversationId}`

_Available in: v23.0_

#### Parameters

*   `conversationId` (path, string (Id), required) ID of the conversation.  
    Pattern: ^(03M)\\w\*.
*   `userId` (path, string (IdOrMe), required) `{userId}` must be the ID of the context user or the alias `me`.  
    Pattern: ^(005)\\w\*|me.
*   `page` (query, string)
    
    Specifies the page token to use to view a page of information. Page tokens are returned as part of the response class, such as currentPageToken or nextPageToken. If you pass in null, the first page is returned.
    
    _Available in: v23.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 100. If you pass in null, the default size is 25.
    
    _Available in: v23.0_
    
*   `q` (query, string)
    
    Specifies the string to search. The search string must contain at least two characters, not including any wildcards. For more information about wildcards, see [Wildcards](/docs/platform/connect-rest-api/guide/intro_wildcards). This parameter is optional.
    
    The query parameter only searches message text bodies, not user names, titles, and so on.
    
    _Available in: v24.0_
    

#### Responses

*   **200** _Conversation Detail_ Success
    
    Media type: `application/json`. Schema: `ConversationDetail`.
    

### PATCH User Conversations, Specific

`PATCH /chatter/users/{userId}/conversations/{conversationId}`

Operation ID: `markConversationRead`. Tags: Users Resources.

Returns information about the specified private conversation for the logged-in user. Also used to search within a specific conversation.

Update the status of a private conversation.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/users/{userId}/conversations/{conversationId}`

_Available in: v23.0_

#### Parameters

*   `conversationId` (path, string (Id), required) ID of the conversation.  
    Pattern: ^(03M)\\w\*.
*   `userId` (path, string (IdOrMe), required) `{userId}` must be the ID of the context user or the alias `me`.  
    Pattern: ^(005)\\w\*|me.
*   `read` (query, boolean) Changes the conversation status to unread (`false`) or read (`true`).

#### Request body

Media type: `application/json`. Schema: `InputRequest`.

#### Responses

*   **200** _Conversation Detail_ Success
    
    Media type: `application/json`. Schema: `ConversationDetail`.
    

### GET User Followers

`GET /chatter/users/{userId}/followers`

Operation ID: `getUserFollowerCollection`. Tags: Users Resources.

Returns information about the followers for the specified user.

Get information about the followers for a user.

_Available in: v23.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/chatter/users/{userId}/followers`

_Available in: v23.0_

#### Parameters

*   `userId` (path, string (IdOrMe), required) ID of the user.  
    Pattern: ^(005)\\w\*|me.
*   `page` (query, integer) Specifies the page number to return. The default value is 0, which returns the first page.
*   `pageSize` (query, integer) Specifies the number of items per page. Valid values are between 1 and 1000. If you don't specify a size, the default is 25.

#### Responses

*   **200** _Follower Page_ Page of Chatter followers.
    
    Media type: `application/json`. Schema: `FollowerPage`.
    

### GET Following

`GET /chatter/users/{userId}/following`

Operation ID: `getUserFollowingCollection`. Tags: Users Resources.

Returns a list of people, groups, records, and files that the specified user is following.

[...]
